/*
 * Copyright 2016 Ben Manes. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.github.benmanes.caffeine.cache.simulator.parser.scarab;

import java.io.DataInputStream;
import java.io.IOException;
import java.util.List;

import com.github.benmanes.caffeine.cache.simulator.parser.BinaryTraceReader;

/**
 * A reader for the trace files provided by
 * <a href="http://www.scarabresearch.com/">Scarab Research</a>.
 *
 * @author phraktle@gmail.com (Viktor Szathmáry)
 */
public final class ScarabTraceReader extends BinaryTraceReader {

  public ScarabTraceReader(List<String> filePaths) {
    super(filePaths);
  }

  @Override
  protected long readLong(DataInputStream input) throws IOException {
    return input.readLong();
  }
}
